import { __module as simpleSwizzle } from "../../../../../_virtual/index3.mjs";
import { i as isArrayish$1 } from "../../../is-arrayish@0.3.2/node_modules/is-arrayish/index.mjs";
var isArrayish = isArrayish$1;
var concat = Array.prototype.concat;
var slice = Array.prototype.slice;
var swizzle = simpleSwizzle.exports = function swizzle2(args) {
  var results = [];
  for (var i = 0, len = args.length; i < len; i++) {
    var arg = args[i];
    if (isArrayish(arg)) {
      results = concat.call(results, slice.call(arg));
    } else {
      results.push(arg);
    }
  }
  return results;
};
swizzle.wrap = function(fn) {
  return function() {
    return fn(swizzle(arguments));
  };
};
var simpleSwizzleExports = simpleSwizzle.exports;
export {
  simpleSwizzleExports as s
};
